//------------------------------------------------------------------------------
// <auto-generated>
//     This code was auto-generated by com.unity.inputsystem:InputActionCodeGenerator
//     version 1.4.4
//     from Assets/App/blank/MiaBlankInput.inputactions
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine.InputSystem;
using UnityEngine.InputSystem.Utilities;

public partial class @MiaBlankInput : IInputActionCollection2, IDisposable
{
    public InputActionAsset asset { get; }
    public @MiaBlankInput()
    {
        asset = InputActionAsset.FromJson(@"{
    ""name"": ""MiaBlankInput"",
    ""maps"": [
        {
            ""name"": ""Main"",
            ""id"": ""a957676b-aae7-4830-8bc4-29dd73ac8aeb"",
            ""actions"": [
                {
                    ""name"": ""move"",
                    ""type"": ""Value"",
                    ""id"": ""cbf2a988-534e-4feb-afcb-46bdebcea3a2"",
                    ""expectedControlType"": ""Vector2"",
                    ""processors"": """",
                    ""interactions"": """",
                    ""initialStateCheck"": true
                },
                {
                    ""name"": ""look"",
                    ""type"": ""Value"",
                    ""id"": ""9cef2d0c-0d55-4a86-8d3b-a4d0170acd12"",
                    ""expectedControlType"": ""Vector2"",
                    ""processors"": """",
                    ""interactions"": """",
                    ""initialStateCheck"": true
                },
                {
                    ""name"": ""jump"",
                    ""type"": ""Button"",
                    ""id"": ""f878dccb-4b3b-42c2-8685-067b0c503d2d"",
                    ""expectedControlType"": ""Button"",
                    ""processors"": """",
                    ""interactions"": """",
                    ""initialStateCheck"": false
                },
                {
                    ""name"": ""fight"",
                    ""type"": ""Button"",
                    ""id"": ""da43a6cb-ce09-45b7-b4f0-cb270dc1d9ad"",
                    ""expectedControlType"": ""Button"",
                    ""processors"": """",
                    ""interactions"": """",
                    ""initialStateCheck"": false
                },
                {
                    ""name"": ""play"",
                    ""type"": ""Button"",
                    ""id"": ""b6273dc7-9590-4a4f-89ca-07f3c41aa27b"",
                    ""expectedControlType"": ""Button"",
                    ""processors"": """",
                    ""interactions"": """",
                    ""initialStateCheck"": false
                }
            ],
            ""bindings"": [
                {
                    ""name"": """",
                    ""id"": ""1beedf5b-6661-4a53-b477-c43015d9842f"",
                    ""path"": ""<Gamepad>/leftStick"",
                    ""interactions"": """",
                    ""processors"": """",
                    ""groups"": """",
                    ""action"": ""move"",
                    ""isComposite"": false,
                    ""isPartOfComposite"": false
                },
                {
                    ""name"": ""2D Vector"",
                    ""id"": ""eeb819a6-d186-4786-bbdd-ac192a1b6545"",
                    ""path"": ""2DVector"",
                    ""interactions"": """",
                    ""processors"": """",
                    ""groups"": """",
                    ""action"": ""move"",
                    ""isComposite"": true,
                    ""isPartOfComposite"": false
                },
                {
                    ""name"": ""up"",
                    ""id"": ""bf92ba36-8744-4d73-aa20-c67e23935c1d"",
                    ""path"": ""<Keyboard>/w"",
                    ""interactions"": """",
                    ""processors"": """",
                    ""groups"": """",
                    ""action"": ""move"",
                    ""isComposite"": false,
                    ""isPartOfComposite"": true
                },
                {
                    ""name"": ""down"",
                    ""id"": ""c2889e35-881d-4abf-9954-2b25f4e237a0"",
                    ""path"": ""<Keyboard>/s"",
                    ""interactions"": """",
                    ""processors"": """",
                    ""groups"": """",
                    ""action"": ""move"",
                    ""isComposite"": false,
                    ""isPartOfComposite"": true
                },
                {
                    ""name"": ""left"",
                    ""id"": ""c6da827b-2196-484c-ab17-07ba99de80de"",
                    ""path"": ""<Keyboard>/a"",
                    ""interactions"": """",
                    ""processors"": """",
                    ""groups"": """",
                    ""action"": ""move"",
                    ""isComposite"": false,
                    ""isPartOfComposite"": true
                },
                {
                    ""name"": ""right"",
                    ""id"": ""aa88842e-211b-4bdf-9954-8bb2199ade64"",
                    ""path"": ""<Keyboard>/d"",
                    ""interactions"": """",
                    ""processors"": """",
                    ""groups"": """",
                    ""action"": ""move"",
                    ""isComposite"": false,
                    ""isPartOfComposite"": true
                },
                {
                    ""name"": """",
                    ""id"": ""f0e6de95-a1d5-4912-bcaa-8e09246ffdeb"",
                    ""path"": ""<Gamepad>/rightStick"",
                    ""interactions"": """",
                    ""processors"": ""ScaleVector2(x=0.5,y=0.5)"",
                    ""groups"": """",
                    ""action"": ""look"",
                    ""isComposite"": false,
                    ""isPartOfComposite"": false
                },
                {
                    ""name"": """",
                    ""id"": ""e59d83b2-1b0a-422d-99f8-77157691c02d"",
                    ""path"": ""<Keyboard>/space"",
                    ""interactions"": """",
                    ""processors"": """",
                    ""groups"": """",
                    ""action"": ""jump"",
                    ""isComposite"": false,
                    ""isPartOfComposite"": false
                },
                {
                    ""name"": """",
                    ""id"": ""e0ea45ac-7115-44be-b115-7d4fd074e081"",
                    ""path"": ""<Gamepad>/buttonNorth"",
                    ""interactions"": """",
                    ""processors"": """",
                    ""groups"": """",
                    ""action"": ""jump"",
                    ""isComposite"": false,
                    ""isPartOfComposite"": false
                },
                {
                    ""name"": """",
                    ""id"": ""2840ba74-9026-4fd1-8202-0390883c2af8"",
                    ""path"": ""<Keyboard>/f"",
                    ""interactions"": """",
                    ""processors"": """",
                    ""groups"": """",
                    ""action"": ""fight"",
                    ""isComposite"": false,
                    ""isPartOfComposite"": false
                },
                {
                    ""name"": """",
                    ""id"": ""045c9e81-906d-439c-bbdb-48dba07d1761"",
                    ""path"": ""<Gamepad>/buttonSouth"",
                    ""interactions"": """",
                    ""processors"": """",
                    ""groups"": """",
                    ""action"": ""fight"",
                    ""isComposite"": false,
                    ""isPartOfComposite"": false
                },
                {
                    ""name"": """",
                    ""id"": ""0fd45371-76cd-4a23-864d-a57b4ba077a5"",
                    ""path"": ""<Keyboard>/r"",
                    ""interactions"": """",
                    ""processors"": """",
                    ""groups"": """",
                    ""action"": ""play"",
                    ""isComposite"": false,
                    ""isPartOfComposite"": false
                }
            ]
        }
    ],
    ""controlSchemes"": []
}");
        // Main
        m_Main = asset.FindActionMap("Main", throwIfNotFound: true);
        m_Main_move = m_Main.FindAction("move", throwIfNotFound: true);
        m_Main_look = m_Main.FindAction("look", throwIfNotFound: true);
        m_Main_jump = m_Main.FindAction("jump", throwIfNotFound: true);
        m_Main_fight = m_Main.FindAction("fight", throwIfNotFound: true);
        m_Main_play = m_Main.FindAction("play", throwIfNotFound: true);
    }

    public void Dispose()
    {
        UnityEngine.Object.Destroy(asset);
    }

    public InputBinding? bindingMask
    {
        get => asset.bindingMask;
        set => asset.bindingMask = value;
    }

    public ReadOnlyArray<InputDevice>? devices
    {
        get => asset.devices;
        set => asset.devices = value;
    }

    public ReadOnlyArray<InputControlScheme> controlSchemes => asset.controlSchemes;

    public bool Contains(InputAction action)
    {
        return asset.Contains(action);
    }

    public IEnumerator<InputAction> GetEnumerator()
    {
        return asset.GetEnumerator();
    }

    IEnumerator IEnumerable.GetEnumerator()
    {
        return GetEnumerator();
    }

    public void Enable()
    {
        asset.Enable();
    }

    public void Disable()
    {
        asset.Disable();
    }
    public IEnumerable<InputBinding> bindings => asset.bindings;

    public InputAction FindAction(string actionNameOrId, bool throwIfNotFound = false)
    {
        return asset.FindAction(actionNameOrId, throwIfNotFound);
    }
    public int FindBinding(InputBinding bindingMask, out InputAction action)
    {
        return asset.FindBinding(bindingMask, out action);
    }

    // Main
    private readonly InputActionMap m_Main;
    private IMainActions m_MainActionsCallbackInterface;
    private readonly InputAction m_Main_move;
    private readonly InputAction m_Main_look;
    private readonly InputAction m_Main_jump;
    private readonly InputAction m_Main_fight;
    private readonly InputAction m_Main_play;
    public struct MainActions
    {
        private @MiaBlankInput m_Wrapper;
        public MainActions(@MiaBlankInput wrapper) { m_Wrapper = wrapper; }
        public InputAction @move => m_Wrapper.m_Main_move;
        public InputAction @look => m_Wrapper.m_Main_look;
        public InputAction @jump => m_Wrapper.m_Main_jump;
        public InputAction @fight => m_Wrapper.m_Main_fight;
        public InputAction @play => m_Wrapper.m_Main_play;
        public InputActionMap Get() { return m_Wrapper.m_Main; }
        public void Enable() { Get().Enable(); }
        public void Disable() { Get().Disable(); }
        public bool enabled => Get().enabled;
        public static implicit operator InputActionMap(MainActions set) { return set.Get(); }
        public void SetCallbacks(IMainActions instance)
        {
            if (m_Wrapper.m_MainActionsCallbackInterface != null)
            {
                @move.started -= m_Wrapper.m_MainActionsCallbackInterface.OnMove;
                @move.performed -= m_Wrapper.m_MainActionsCallbackInterface.OnMove;
                @move.canceled -= m_Wrapper.m_MainActionsCallbackInterface.OnMove;
                @look.started -= m_Wrapper.m_MainActionsCallbackInterface.OnLook;
                @look.performed -= m_Wrapper.m_MainActionsCallbackInterface.OnLook;
                @look.canceled -= m_Wrapper.m_MainActionsCallbackInterface.OnLook;
                @jump.started -= m_Wrapper.m_MainActionsCallbackInterface.OnJump;
                @jump.performed -= m_Wrapper.m_MainActionsCallbackInterface.OnJump;
                @jump.canceled -= m_Wrapper.m_MainActionsCallbackInterface.OnJump;
                @fight.started -= m_Wrapper.m_MainActionsCallbackInterface.OnFight;
                @fight.performed -= m_Wrapper.m_MainActionsCallbackInterface.OnFight;
                @fight.canceled -= m_Wrapper.m_MainActionsCallbackInterface.OnFight;
                @play.started -= m_Wrapper.m_MainActionsCallbackInterface.OnPlay;
                @play.performed -= m_Wrapper.m_MainActionsCallbackInterface.OnPlay;
                @play.canceled -= m_Wrapper.m_MainActionsCallbackInterface.OnPlay;
            }
            m_Wrapper.m_MainActionsCallbackInterface = instance;
            if (instance != null)
            {
                @move.started += instance.OnMove;
                @move.performed += instance.OnMove;
                @move.canceled += instance.OnMove;
                @look.started += instance.OnLook;
                @look.performed += instance.OnLook;
                @look.canceled += instance.OnLook;
                @jump.started += instance.OnJump;
                @jump.performed += instance.OnJump;
                @jump.canceled += instance.OnJump;
                @fight.started += instance.OnFight;
                @fight.performed += instance.OnFight;
                @fight.canceled += instance.OnFight;
                @play.started += instance.OnPlay;
                @play.performed += instance.OnPlay;
                @play.canceled += instance.OnPlay;
            }
        }
    }
    public MainActions @Main => new MainActions(this);
    public interface IMainActions
    {
        void OnMove(InputAction.CallbackContext context);
        void OnLook(InputAction.CallbackContext context);
        void OnJump(InputAction.CallbackContext context);
        void OnFight(InputAction.CallbackContext context);
        void OnPlay(InputAction.CallbackContext context);
    }
}
